#include <learn/PV__learn__intPort.hpp>

#include <iostream>
#include <sstream>

PV__learn__intPort::PV__learn__intPort(int &_m_d) : PortValue(),  m_d(_m_d) {
}

string PV__learn__intPort::toString() const {
    ostringstream oss;

    oss << "d=" << int_variables[this->name] << ';';
    return oss.str();
}

PV__learn__intPort::~PV__learn__intPort() {
}


